Subject: Re: [bug#38605] [WIP MLton 0/1] Add MLton

From: Ludovic Courtès <[email-masked]>
Date: Sat, 14 Dec 2019 18:58:22 +0100

Hi Brett,

Brett Gilio <[email-masked]> skribis:

> MLton is a little bit tricker to package properly as it runs in to the issue
> of requiring a non-source, pre-compiled bootstrap. There is a way to get it to
> build against SMLnj though (which will be my next WIP bug report). This patch
> series uses a series of patched ELFs to compile MLton from source. But obviously
> this will not be permissable upstream.

“Not permissible” is strong (in the sense that Guix doesn’t have such a
strong policy because there are cases where there’s no known way to
bootstrap from source), but clearly, if there’s a documented way to
build MLton from source, this is what we should be aiming for.

Thanks!

Ludo’.